local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FENCE_MONUMENT",
	Name = "FENCE_NAME",
	Description = "FENCE_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "FENCE_DARK_NAME",
	        BuildingPartList = {
				"PREFAB_FENCE_SINGLE_DARK",
				"PREFAB_PILLAR_DARK",
				"PREFAB_ARCH_DARK"
			}
		},
		{
			Name = "FENCE_LIGHT_NAME",
	        BuildingPartList = {
				"PREFAB_FENCE_SINGLE_LIGHT",
				"PREFAB_PILLAR_LIGHT",
				"PREFAB_ARCH_LIGHT"
			}
		},
		{
			Name = "FENCE_GATE_NAME",
	        BuildingPartList = {
				"PREFAB_IRONGATESINGLE",
				"PREFAB_IRONGATELOCK"
			}
        }
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})